## net.sf.saxon.value
Class DecimalValue.DecimalComparable

    java.lang.Object
      net.sf.saxon.value.DecimalValue.DecimalComparable

All Implemented Interfaces:
  Comparable

Enclosing class:
  DecimalValue

    protected static class DecimalValue.DecimalComparable

extends Object
implements Comparable

Field Summary
`protected DecimalValue` `value`

Constructor Summary
`DecimalValue.DecimalComparable(DecimalValue value)`

Method Summary
`BigDecimal` `asBigDecimal()`
`int` `compareTo(Object o)`
`boolean` `equals(Object o)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected DecimalValue value

Constructor Detail

### DecimalValue.DecimalComparable

    public DecimalValue.DecimalComparable(DecimalValue value)

Method Detail

### asBigDecimal

    public BigDecimal asBigDecimal()

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.